Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libieee1284: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 13 Dec 2016 01:51:39 +0200

http://cyberelk.net/tim/libieee1284
libieee1284 is a cross-platform library for parallel port access
---
 testing/libieee1284/APKBUILD   | 50 ++++++++++++++++++++++++++++++++++++++++++
 testing/libieee1284/io_h.patch | 11 ++++++++++
 2 files changed, 61 insertions(+)
 create mode 100644 testing/libieee1284/APKBUILD
 create mode 100644 testing/libieee1284/io_h.patch
diff --git a/testing/libieee1284/APKBUILD b/testing/libieee1284/APKBUILD
new file mode 100644
index 0000000000..fbd3095254
--- /dev/null
+++ b/testing/libieee1284/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer:
+pkgname=libieee1284
+pkgver=0.2.11
+pkgrel=0
+pkgdesc="libieee1284 is a cross-platform library for parallel port access"
+url="http://cyberelk.net/tim/libieee1284"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-test:_test py-$pkgname:_py"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2
+	io_h.patch"
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+_test() {
+	pkgdesc="$pkgdesc (test binary)"
+	mkdir -p "$subpkgdir"/usr
+	mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+
+_py() {
+	pkgdesc="$pkgdesc (python2 bindings)"
+	mkdir -p "$subpkgdir"/usr/lib
+	mv "$pkgdir"/usr/lib/python2.7 "$subpkgdir"/usr/lib
+}
+
+md5sums="b8fff9f3d121531bc17430e3f4ea6ed0  libieee1284-0.2.11.tar.bz2
+253f46b3113300b6570f79359e5d098c  io_h.patch"
+sha256sums="7730de107782e5d2b071bdcb5b06a44da74856f00ef4a9be85d1ba4806a38f1a  libieee1284-0.2.11.tar.bz2
+a9fc34e4e313c544572cf795d967aecf9aa33510ecaf01d5099d0c5b56bb20a0  io_h.patch"
+sha512sums="06cc3049ce15613d34e39dc71bc572843c61ab64077c29ef9a6257edb0849c98565ff612a4cf787bc9642a39f1c89b7c47a20fb27f2318105be82aad8d472bb9  libieee1284-0.2.11.tar.bz2
+dccf1a78c02c6c1ea25eb3e054327298aac11972a32fafaa2180db31441f69cc1528bcb73127b7721776e946edee2344273d77443146bd707535bad148209453  io_h.patch"
diff --git a/testing/libieee1284/io_h.patch b/testing/libieee1284/io_h.patch
new file mode 100644
index 0000000000..ccacfcc8a9
--- /dev/null
+++ b/testing/libieee1284/io_h.patch
_at_@ -0,0 +1,11 @@
+--- a/src/access_io.c
++++ b/src/access_io.c
+_at_@ -50,7 +50,7 @@
+ #ifdef HAVE_LINUX
+ 
+ #ifdef HAVE_SYS_IO_H
+-#include <sys/io.h>
++#include "io.h"
+ #endif
+ 
+ #elif defined(HAVE_SOLARIS)
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Dec 13 2016 - 01:51:39 GMT